Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: Jason Tishler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: Norman Vine <[email-masked]>, [email-masked]
Date: Tue, 13 Mar 2001 00:43:47 -0500

Gerrit,

On Mon, Mar 12, 2001 at 08:17:16PM +0100, Gerrit P. Haase wrote:
> > > ><Am 2001-03-11 21:30 wars, als Norman Vine schrieb:>
> > > >< RE: python 2.0, cygwin & readline - undefined sym >
> > > >
> > > >> One thing I have noticed is that if you are installing to a ntsec drive
> > > >> You have to set the executable bits on the dll
> > > >> 
> > > >> /usr/local/bin $  ls -l libpython2.1.dll
> > > >> -rwxr-xr-x   1 nhv      None      1673990 Mar 11 13:47 libpython2.1.dll
> 
> Yep, that is the point, i did: 'chmod 777 libpython2.1.dll' and now, 
> python works for me:-)

I just built Python CVS with and without ntsec enabled.  There is no
difference -- both builds succeed without any failures.  However, there
is (minor) problem with make install when ntsec is enabled as pointed
out by Norman above.  I will be submitting the attached patch to Python
CVS to correct this.

> Just need to figure out, why the flags are not passed to build the
> extensions.

Yes!  Why CCSHARED is not being used during the building of the extensions
(i.e., by distutils) is the crux of your problem.

Note that your problem is really a Python distutils problem.  So, you
may have better luck at [email-masked] then here.  Don't worry
-- I'm subscribed to that one too! :,)

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
Index: Makefile.pre.in
===================================================================
RCS file: /cvsroot/python/python/dist/src/Makefile.pre.in,v
retrieving revision 1.29
diff -r1.29 Makefile.pre.in
538c538
< 		$(INSTALL_DATA) $(DLLLIBRARY) $(BINDIR); \
---
> 		$(INSTALL_SHARED) $(DLLLIBRARY) $(BINDIR); \

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple